org.eclipse.graphiti.platform

## Class AbstractExtension

- java.lang.Object
- - org.eclipse.graphiti.platform.AbstractExtension

All Implemented Interfaces:
  IExtension

Direct Known Subclasses:
  AbstractDiagramTypeProvider, AbstractImageProvider, DiagramTypeImpl, ExportDiagramAsImageDummyImageProvider

    public abstract class AbstractExtension
    extends java.lang.Object
    implements IExtension

The Class AbstractExtension.

### Constructor Summary

Constructors
Constructor and Description
`AbstractExtension()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getProviderId()` Gets the provider id.
`void` `setProviderId(java.lang.String providerId)` Sets the provider id.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractExtension

    public AbstractExtension()

### Method Detail

#### getProviderId

    public final java.lang.String getProviderId()

Description copied from interface: `IExtension`
Gets the provider id.

Specified by:
  `getProviderId` in interface `IExtension`
Returns:
  the provider id

#### setProviderId

    public final void setProviderId(java.lang.String providerId)

Description copied from interface: `IExtension`
Sets the provider id.

Specified by:
  `setProviderId` in interface `IExtension`
Parameters:
  `providerId` - the new provider id